=== debian/control ===
Source: polychromatic
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Luke Horwell <code@horwell.me>
Build-Depends: debhelper (>= 9),
               python3,
               python3-polib,
               node-less
Homepage: https://github.com/polychromatic/polychromatic

Package: polychromatic
Architecture: all
Depends: python3 (>= 3.4.0),
         python3-gi,
         python3-setproctitle,
         python3-requests,
         python3-openrazer (>= 2.0.0),
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-appindicator3-0.1,
         imagemagick,
         openrazer-daemon (>= 2.0.0)
Description: Graphical front-end for managing Razer peripherals.
 An application that allows multiple Razer devices to be configured
 on the system through an easy-to-use interface.
 Powered by the OpenRazer daemon.
