=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_prep:
	lessc source/data/controller.less data/pages/controller.css
